MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029228Open CASCADE[OCCT] OCCT:Codingpublic2017-10-13 18:432018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029228: Coding Rules - define rule for avoiding header inclusion list pollution
DescriptionIt is suggested specifying in coding rules that unnecessary header files should not be excluded from inclusion list to avoid redundant pollution.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0071426)
git (administrator)
2017-10-13 18:49

Branch CR29228 has been created by kgv.

SHA-1: 5a4d31bf97fc578a0e94caa4588e6639a71142e0


Detailed log of new commits:

Author: kgv
Date: Fri Oct 13 18:49:18 2017 +0300

    0029228: Coding Rules - define rule for avoiding header inclusion list pollution
(0071427)
kgv (developer)
2017-10-13 18:49

Patch is ready for review.
(0071430)
git (administrator)
2017-10-14 06:25

Branch CR29228 has been updated forcibly by abv.

SHA-1: 2c25b3e2d8299c83514307047052fa5aecf19b47
(0071431)
abv (manager)
2017-10-14 06:26

Reviewed with slight amendment (avoiding repeating the statementg twice), please integrate. Testing is not needed (doc only).
(0071710)
git (administrator)
2017-10-23 15:01

Branch CR29228 has been deleted by kgv.

SHA-1: 2c25b3e2d8299c83514307047052fa5aecf19b47

- Related Changesets
occt: master 744d9c0d
Timestamp: 2017-10-13 15:49:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029228: Coding Rules - define rule for avoiding header inclusion list pollution
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-13 18:43 kgv New Issue
2017-10-13 18:43 kgv Assigned To => kgv
2017-10-13 18:49 git Note Added: 0071426
2017-10-13 18:49 kgv Note Added: 0071427
2017-10-13 18:49 kgv Assigned To kgv => abv
2017-10-13 18:49 kgv Status new => resolved
2017-10-14 06:25 git Note Added: 0071430
2017-10-14 06:26 abv Note Added: 0071431
2017-10-14 06:26 abv Assigned To abv => bugmaster
2017-10-14 06:26 abv Status resolved => reviewed
2017-10-16 10:47 bugmaster Status reviewed => tested
2017-10-16 15:10 bugmaster Test case number => Not required
2017-10-19 19:11 bugmaster Changeset attached => occt master 744d9c0d
2017-10-19 19:11 bugmaster Status tested => verified
2017-10-19 19:11 bugmaster Resolution open => fixed
2017-10-23 15:01 git Note Added: 0071710
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker